// GameStart.cpp

#include <stdlib.h>
#include "GameStart.h"
#include "WorldManager.h"
#include "GameManager.h"
#include "LogManager.h"
#include "EventStep.h"
#include "ResourceManager.h"
#include "Hero.h"
#include "Saucer.h"

GameStart::GameStart(string message) : TextMessage (message) 
{
  setType("GameStart");
}

// when done with animation, start game
GameStart::~GameStart() {
  WorldManager &world_manager = WorldManager::getInstance();

 //Spawn hero and Location
  Hero *p_hero = new Hero;
  pos.setX(7);
  pos.setY(world_manager.getBoundary().getVertical()/2);
  p_hero -> setPos(pos);

  //Make 8 Saucers
  for (int i=0; i<8; i++)
  {
    new Saucer;
  }
}
